# 类: DiceMessage

[(返回目录)](/api.md)

**继承自:** [Message](/api/message.md)

RainyBot的骰子消息类，其实例记录了与一个骰子消息相关的各类数据

## 方法

* static [DiceMessage](/api/dicemessage.md) **init (** [int](https://docs.godotengine.org/en/latest/classes/class_int.html) value **)**

通过指定一个骰子点数来手动构造一个骰子消息类实例

***

* static [DiceMessage](/api/dicemessage.md) **init\_meta (** [Dictionary](https://docs.godotengine.org/en/latest/classes/class_dictionary.html) dic **)**

通过机器人协议后端的元数据字典构造一个此类的实例，仅当你知道自己在做什么时才使用

***

* [int](https://docs.godotengine.org/en/latest/classes/class_int.html) **get\_dice\_value ( )**

获取此消息实例对应的骰子的点数

***

* void **set\_dice\_value (** [int](https://docs.godotengine.org/en/latest/classes/class_int.html) value **)**

设置此消息实例对应的骰子的点数

***

* [String](https://docs.godotengine.org/en/latest/classes/class_string.html) **get\_as\_text ( )**

将此实例获取为字符串的形式

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rainybot.dev/api/dicemessage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
